Subject: Re: bug#44005: 28.0.50; Deleting region doesn't work

From: Parham Doustdar <[email-masked]>
Date: Thu, 15 Oct 2020 16:41:37 +0200

Hi there,
<DEL> runs `delete-backward-char'.
However, I had a thought. I'm running Emacs with Emacspeak, which advices
some functions to act as a screen reader and speak the deleted character. I
can't verify that Emacspeak isn't causing this error, although reading the
source code of the advice, all i see is a call to `(preceding-char)'.
Is there a way to follow the execution and see what that scrolling function
is?
Another thing that I noticed is that when I do `C-x h' my point is in the
very beginning of the buffer. Not sure if it has always been the case.
So, when I type `a ' (that is, a and then a space) and press `C-x h',
`(point)' returns 1, `(region-beginning)' returns 1, and `(region-end)'
returns 3.
I hope this is all useful.
Best,
Parham

On Thu, Oct 15, 2020 at 4:29 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > In that case, this is perhaps macOS specific?
>
> I tried it on Macos, and was unable to reproduce the problem.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>